Skip to content

gt_date

Allows filtering Date/time fields (Format: YYYY-mm-dd HH:MM). Returns all stories with a field value greater (i.e., later) than the provided value.

filter_query[scheduled][gt_date]=2023-12-31 09:00
Returns all stories with a date after the 31st of December, 2023, in their scheduled field.

The following example demonstrates how to receive all stories with a date after the 15th of October, 2026, in their schedule field using the gt_date operation.

curl "https://api.storyblok.com/v2/cdn/stories\
?filter_query%5Bschedule%5D%5Bgt_date%5D=2026-10-15+09%3A00\
&token=ask9soUkv02QqbZgmZdeDAtt"
Response
{
"stories": [
{
"name": "My third post",
"created_at": "2018-04-24T11:57:29.302Z",
"published_at": "2026-10-08T12:44:25.188Z",
"updated_at": "2026-10-08T12:44:25.201Z",
"id": 107350,
"uuid": "ac0d2ed0-e323-43ca-ae59-5cd7d38683cb",
"content": {
"_uid": "98cccd01-f807-4494-996d-c6b0de2045a5",
"image": "//a.storyblok.com/f/44162/1500x500/68b522b06d/1500x500.jpeg",
"title": "My second",
"author": "c47be9f0-47c3-4315-a95a-550f0c560eb5",
"topics": "Design",
"content": "Lorem ipsum dolor sit amet, *consectetur* adipisicing elit, sed do eiusmod\ntempor incididunt ut **labore et dolore magna aliqua**. Ut enim ad minim veniam,\nquis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo\nconsequat. ***Duis aute irure dolor*** in reprehenderit in voluptate velit esse\ncillum dolore eu fugiat nulla pariatur. ~~Excepteur sint occaecat~~ cupidatat non\nproident, sunt in culpa qui officia deserunt mollit anim id est laborum.\n\n## H2\n\nLorem ipsum dolor sit amet, *consectetur* adipisicing elit, sed do eiusmod\ntempor incididunt ut **labore et dolore magna aliqua**. Ut enim ad minim veniam,\nquis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo\nconsequat. \n\n---\n\n***Duis aute irure dolor*** in reprehenderit in voluptate velit esse\ncillum dolore eu fugiat nulla pariatur. ~~Excepteur sint occaecat~~ cupidatat non\nproident, sunt in culpa qui officia deserunt mollit anim id est laborum.\n\n### H3\n\nunordered list:\n\n* item-1\n * sub-item-1\n * sub-item-2\n- item-2\n - sub-item-3\n - sub-item-4\n+ item-3\n + sub-item-5\n + sub-item-6\n\n\nordered list:\n\n1. item-1\n 1. sub-item-1\n 2. sub-item-2\n2. item-2\n 1. sub-item-3\n 2. sub-item-4\n3. item-3\n\n#### Header4\n\nTable Header-1 | Table Header-2 | Table Header-3\n:--- | :---: | ---:\nTable Data-1 | Table Data-2 | Table Data-3\nTD-4 | Td-5 | TD-6\nTable Data-7 | Table Data-8 | Table Data-9\n\n##### Header5\n\nYou may also want some images right in here like ![GitHub Logo](https://cloud.githubusercontent.com/assets/5456665/13322882/e74f6626-dc00-11e5-921d-f6d024a01eaa.png \"GitHub\") - you can do that but I would recommend you to use the component \"image\" and simply split your text.\n\n###### Header6\n\nLet us do some links - this for example: https://github.com/MinhasKamal/github-markdown-syntax is **NOT** a link but this is [GitHub](https://github.com/MinhasKamal/github-markdown-syntax)",
"schedule": "2026-10-16 10:59",
"component": "post",
"categories": [
"9aa72a2f-04ae-48df-b71f-25f53044dc97"
],
"description": "Description of the second"
},
"slug": "my-third-post",
"full_slug": "posts/my-third-post",
"sort_by_date": null,
"position": -20,
"tag_list": [],
"is_startpage": false,
"parent_id": 107348,
"meta_data": null,
"group_id": "d5ea8520-1296-40b7-8360-894461fdc5b6",
"first_published_at": "2018-08-07T03:40:13.000Z",
"release_id": null,
"lang": "default",
"path": null,
"alternates": [],
"default_full_slug": null,
"translated_slugs": null
}
],
"cv": 1791799432,
"rels": [],
"links": []
}

Was this page helpful?

What went wrong?

This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.